---------------------------------------------------------------------------------------------------
-- UOC - ETIG - TFC Bases de dades relacionals	2013-2014 1r semestre
---------------------------------------------------------------------------------------------------
-- Base de Dades d'un Sistema Centralitzat de Control de Despesa Pblica dels Parlaments Europeus
---------------------------------------------------------------------------------------------------
-- Arxiu : 15_Con_vCambres.sql      -- Autor    : Santi Alcayde Pagan   -- Aula: 1
-- Data  : 11/11/2013               -- Consultor: Manel Rella Ruiz      
---------------------------------------------------------------------------------------------------
-- Funci: Execuci de la consulta de cambres parlamentries, on pot fer-se una cerca per paraula
-- en el nom, per exemple, on a cambra aparegui la paraula "catalunya" en alguna posici.
-- Executa el procediment CAMBRES del package CON
-- El resultat de l'exeuci es guarda en la taula d'auditoria LOG_PROCEDIMENT
---------------------------------------------------------------------------------------------------

SET SERVEROUTPUT ON;

DECLARE
    rsp VARCHAR2(256); -- Resultat de l'execuci del procediment
BEGIN
/*-------------------------------------------------------------------------------------------------
Parmetres a passar al procediment:
    i_cambra  IN  VARCHAR2,  -- Nom de la cambra parlamentria o cap per totes
    i_estat   IN  VARCHAR2,  -- Nom del estat o cap per tots
    i_pais    IN  VARCHAR2,  -- Nom del pais o regi o cap per tots
    i_baixa   IN  CHAR,      -- Indicador de situaci de baixa 'S' o 'N'o cap per totes
	  o_rsp   OUT VARCHAR2   -- Resultat del procediment
);
---------------------------------------------------------------------------------------------------
*/
dce.con.cambres('','','','',rsp);
dce.con.cambres('parlam','','','',rsp);
dce.con.cambres('','spai','','',rsp);
dce.con.cambres('','','balea','',rsp);
dce.con.cambres('','','','s',rsp);
dce.con.cambres('','','','n',rsp);
dce.con.cambres('parl','spa','cat','n',rsp);
dce.con.cambres('sds','','','',rsp);

END;
/
---------------------------------------------------------------------------------------------------