---------------------------------------------------------------------------------------------------
-- UOC - ETIG - TFC Bases de dades relacionals	2013-2014 1r semestre
---------------------------------------------------------------------------------------------------
-- Base de Dades d'un Sistema Centralitzat de Control de Despesa Pblica dels Parlaments Europeus
---------------------------------------------------------------------------------------------------
-- Arxiu : 00_Eliminar.sql          -- Autor    : Santi Alcayde Pagan   -- Aula: 1
-- Data  : 11/11/2013               -- Consultor: Manel Rella Ruiz      
---------------------------------------------------------------------------------------------------
-- Funci: Eliminaci dels diferents objectes de la Base de Dades.
---------------------------------------------------------------------------------------------------
-- Parmetres: (si s'executa des de SQL Command Line, connectat amb usuari SYSTEM)
-- 		path -> Cal cridar-lo indicant al davant la ruta on es troba el script d'eliminaci
--				d'objectes de la base de dades. 
--				@@ {path}\00_Eliminar_BD.sql
--				Per exemple: D:\uoc\2013-2\tfc\bbdd\salcayde\00_Eliminacio_BD.sql
---------------------------------------------------------------------------------------------------
-- L'arxiu .txt  es gravar en la carpeta on estigui aquest script d'eliminaci.
---------------------------------------------------------------------------------------------------

$cls
Set echo off; 
set feedback 2;
Set serveroutput on; 
Set PAGESIZE 0; 
Set LINESIZE 1000; 

spool 00_Eliminar_BD.txt

prompt *** Iniciant procs d'eliminaci d'objectes de la Base de Dades.....
prompt 

prompt ***********************************************
prompt 01 Eliminant usuari i objectes vinculats
prompt ***********************************************
prompt 

DROP USER "DCE" CASCADE;

prompt 
prompt ***********************************************
prompt 02 Eliminant espai de dades, contingut i arxius
prompt ***********************************************
prompt 

DROP TABLESPACE "DCE_DADES" INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

prompt 
prompt ***********************************************
prompt 03 Eliminant espai d'indexs, contingut i arxius
prompt ***********************************************
prompt 

DROP TABLESPACE "DCE_INDEXS" INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

prompt 
COMMIT;

prompt 
prompt *** Procs d'eliminaci dels objectes de la Base de Dades finalitzat.

prompt 
select '*** Usuari ' || user || ' el ' || to_char(sysdate,'dd/mm/yyyy hh24:mm') from dual;

Spool off; 
Set define on; 
Set feedback on;