---------------------------------------------------------------------------------------------------
-- UOC - ETIG - TFC Bases de dades relacionals	2013-2014 1r semestre
---------------------------------------------------------------------------------------------------
-- Base de Dades d'un Sistema Centralitzat de Control de Despesa Pblica dels Parlaments Europeus
---------------------------------------------------------------------------------------------------
-- Arxiu : 11_Ins_Taules_Aux.sql    -- Autor    : Santi Alcayde Pagan   -- Aula: 1
-- Data  : 11/11/2013               -- Consultor: Manel Rella Ruiz      
---------------------------------------------------------------------------------------------------
-- Funci: Scripts d'inserci de dades en les TAULES AUXILIARS.
---------------------------------------------------------------------------------------------------

prompt * Inserint en la taula d'estats membres
prompt 

/* 01 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('AUSTRIA', 1995);
/* 02 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('BELGIUM', 1952);
/* 03 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('BULGARIA', 2007);
/* 04 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('CROATIA', 2013);
/* 05 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('CYPRUS', 2004);
/* 06 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('CZECH REPUBLIC', 2004);
/* 07 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('DENMARK', 1973);
/* 08 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('ESTONIA', 2004);
/* 09 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('FINLAND', 1995);
/* 10 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('FRANCE', 1952);
/* 11 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('GERMANY', 1952);
/* 12 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('GREECE', 1981);
/* 13 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('HUNGARY', 2004);
/* 14 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('IRELAND', 1973);
/* 15 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('ITALY', 1952);
/* 16 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('LATVIA', 2004);
/* 17 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('LITHUANIA', 2004);
/* 18 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('LUXEMBOURG', 1952);
/* 19 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('MALTA', 2004);
/* 20 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('POLAND', 2004);
/* 21 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('PORTUGAL', 1986);
/* 22 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('ROMANIA', 2007);
/* 23 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('SLOVAKIA', 2004);
/* 24 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('SLOVENIA', 2004);
/* 25 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('SPAIN', 1986);
/* 26 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('SWEDEN', 1995);
/* 27 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('THE NETHERLANDS', 1952);
/* 28 */ INSERT INTO DCE.ESTAT (ESTAT, ANY_INCORPORACIO) VALUES ('UNITED KINGDOM', 1973);

prompt  

set heading on;
select * from DCE.estat order by ibd;
set heading off;

prompt * Inserint en la taula de paisos i regions del estat membre: SPAIN
prompt 

/* 01 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'ANDALUCIA');
/* 02 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'ARAGN');
/* 03 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'BALEARS');
/* 04 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'CANARIAS');
/* 05 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'CANTABRIA');
/* 06 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'CASTILLA-LA MANCHA');
/* 07 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'CASTILLA Y LEN');
/* 08 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'CATALUNYA');
/* 09 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'COMUNITAT VALENCIANA');
/* 10 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'EUSKADI');
/* 11 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'EXTREMADURA');
/* 12 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'GALICIA');
/* 13 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'LA RIOJA');
/* 14 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'MADRID');
/* 15 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'NAVARRA');
/* 16 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'PRINCIPADO DE ASTURIAS');
/* 17 */ INSERT INTO DCE.PAIS_REGIO (ESTAT, PAIS_REGIO) VALUES (25,'REGIN DE MURCIA');
commit;
prompt  

set heading on;
select * from DCE.pais_regio order by ibd;
set heading off;

prompt * Inserint en la taula de formes de pagament de les despeses
prompt 

/* 01 */ INSERT INTO DCE.FORMA_PAGAMENT (PAGAMENT) VALUES ('TRANSFERNCIA BANCRIA');
/* 02 */ INSERT INTO DCE.FORMA_PAGAMENT (PAGAMENT) VALUES ('TARGETA VISA');
commit;
prompt  

set heading on;
select * from DCE.forma_pagament order by ibd;
set heading off;
  
prompt * Inserint en la taula de situacions de les despeses
prompt 

/* 01 */ INSERT INTO DCE.SITUACIO_DESPESA (SITUACIO) VALUES ('PENDENT APROVACI');
/* 02 */ INSERT INTO DCE.SITUACIO_DESPESA (SITUACIO) VALUES ('APROVADA');
/* 03 */ INSERT INTO DCE.SITUACIO_DESPESA (SITUACIO) VALUES ('PENDENT ABONAMENT');
/* 04 */ INSERT INTO DCE.SITUACIO_DESPESA (SITUACIO) VALUES ('ABONADA');
/* 05 */ INSERT INTO DCE.SITUACIO_DESPESA (SITUACIO) VALUES ('DESESTIMADA');
commit;
prompt  

set heading on;
select * from DCE.situacio_despesa order by ibd;
set heading off;
  
prompt * Inserint en la taula de categories generals de les despeses
prompt 

/* 01 */ INSERT INTO DCE.CATEGORIA_GENERAL (CODI, CATEGORIA) 
             VALUES ('CG001', 'CONTRACTACI ESCORTES');
/* 02 */ INSERT INTO DCE.CATEGORIA_GENERAL (CODI, CATEGORIA)	
             VALUES ('CG002', 'CONTRACTACI XOFERS');
/* 03 */ INSERT INTO DCE.CATEGORIA_GENERAL (CODI, CATEGORIA) 
             VALUES ('CG003', 'LLOGUER COTXES OFICIALS');
/* 04 */ INSERT INTO DCE.CATEGORIA_GENERAL (CODI, CATEGORIA) 
             VALUES ('CG004', 'SEGURETAT GENERAL');
/* 05 */ INSERT INTO DCE.CATEGORIA_GENERAL (CODI, CATEGORIA) 
             VALUES ('CG005', 'MATERIAL OFICINA');
/* 06 */ INSERT INTO DCE.CATEGORIA_GENERAL (CODI, CATEGORIA) 
             VALUES ('CG999', 'ALTRES');
commit;
prompt  

set heading on;
select * from DCE.categoria_general order by ibd;
set heading off;
  
prompt * Inserint en la taula de categories personals de les despeses
prompt 

/* 01 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP001', 'SALARI');
/* 02 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP002', 'DINARS FORA PARLAMENT');
/* 03 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP003', 'DISPOSITIUS DE COMUNICACI');
/* 04 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP004', 'DISPOSITIUS DE COMPUTACI');
/* 05 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP005', 'TRANSPORT PBLIC');
/* 06 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP006', 'LLOGUER COTXE OFICIAL');
/* 07 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP007', 'CONTRACTACI ESCORTA');
/* 08 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP008', 'DIETA PER COMISSI PARLAMENTRIA');
/* 09 */ INSERT INTO DCE.CATEGORIA_PERSONAL (CODI, CATEGORIA) 
             VALUES ('CP999', 'ALTRES');
commit;  
prompt  

set heading on;
select * from DCE.categoria_personal;
set heading off;

prompt * Inserint en la taula de partits poltics
prompt 

/* 01 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PATIDO POPULAR', 'PP'); 
/* 02 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PATIDO SOCIALISTA OBRERO ESPAOL', 'PSOE'); 
/* 03 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('CONVERGNCIA I UNI', 'CIU'); 
/* 04 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PARTIT DELS SOCIALISTES DE CATALUNYA', 'PSC-PSOE'); 
/* 05 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('COALICIN LA IZQUIERDA PLURAL', 'CLIP'); 
/* 06 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PARTIDO ARAGONS', 'PAR'); 
/* 07 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('COALICIN AMAIUR', 'AMAIUR'); 
/* 08 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('EXTREMADURA UNIDA', 'EU'); 
/* 09 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('UNIN PROGRESO Y DEMOCRACIA', 'UPyD'); 
/* 10 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('EUSKO ALDERDI JELTZALEA', 'EAJ'); 
/* 11 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PARTIDO NACIONALISTA VASCO', 'PNV'); 
/* 12 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('ESQUERRA REPUBLICANA DE CATALUNYA', 'ERC');    
/* 13 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('BLOQUE NACIONALISTA GALEGO', 'BNG');    
/* 14 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('NUEVA CANARIAS', 'NC');       
/* 15 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PARTIDO NACIONALISTA CANARIO', 'PNC');       
/* 16 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('UNIN DEL PUEBLO NAVARRO', 'UPN');        
/* 17 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('COALICIN BLOC-INICIATIVA-VERDS-EQUO', 'BIVE');       
/* 18 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('COALICI COMPROMS', 'CC');        
/* 19 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('FORO DE CIUDADANOS', 'FORO');        
/* 20 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('GEROA BAI ', 'GBAI');    
/* 21 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('PARTIT POPULAR DE CATALUNYA', 'PPC');    
/* 22 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('INICIATIVA PER CATALUNYA VERDS - ESQUERRA UNIDA I ALTERNATIVA', 'ICV-EUiA');    
/* 23 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('CIUTADANS - PARTIDO DE LA CIUDADANA', 'C''s');    
/* 24 */ INSERT INTO DCE.PARTIT_POLITIC (PARTIT, SIGLES)
    VALUES ('CANDIDATURA D''UNITAT POPULAR', 'CUP');    
    
COMMIT;
prompt  
set heading on;
select * from DCE.partit_politic order by ibd;
set heading off;
---------------------------------------------------------------------------------------------------