---------------------------------------------------------------------------------------------------
-- UOC - ETIG - TFC Bases de dades relacionals	2013-2014 1r semestre
---------------------------------------------------------------------------------------------------
-- Base de Dades d'un Sistema Centralitzat de Control de Despesa Pblica dels Parlaments Europeus
---------------------------------------------------------------------------------------------------
-- Arxiu : 15_Con_vDespeses_Per     -- Autor    : Santi Alcayde Pagan   -- Aula: 1
-- Data  : 11/11/2013               -- Consultor: Manel Rella Ruiz      
---------------------------------------------------------------------------------------------------
-- Funci: Execuci de la consulta de despeses personals de membres de cambra parlamentria, on pot 
-- fer-se una cerca per paraula en els noms, per ex. on a cognoms aparegui la paraula "morera" en
-- alguna posici.
-- Executa el procediment DESPESES_MEMBRES del package CON
-- El resultat de l'exeuci es guarda en la taula d'auditoria LOG_PROCEDIMENT
---------------------------------------------------------------------------------------------------

SET SERVEROUTPUT ON;

DECLARE
    rsp VARCHAR2(256); -- Resultat de l'execuci del procediment
BEGIN
/*-------------------------------------------------------------------------------------------------
Parmetres a passar al procediment:
    i_dataIni      IN  VARCHAR2,  -- Data inicial amb format 'dd/mm/yyyy' o cap per a totes
    i_dataFin      IN  VARCHAR2,  -- Data final amb format 'dd/mm/yyyy' o cap per a totes
    i_importIni    IN  NUMBER,    -- Import brut inicial o cap per a tots
    i_importFin    IN  NUMBER,    -- Import brut final o cap per a tots
    i_cognoms      IN  VARCHAR2,  -- Cognoms del membre de la cambra parlamentria o cap per a tots
    i_nom          IN  VARCHAR2,  -- Nom del membre de la cambra parlamentria o cap per a tots
    i_partit       IN  VARCHAR2,  -- Nom del partit poltic o cap per a tots
    i_categoria    IN  VARCHAR2,  -- Nom de la categoria general de la despesa o cap per a totes
    i_pagament     IN  VARCHAR2,  -- Nom de la forma de pagament de la despesa o cap per a totes
    i_situacio     IN  VARCHAR2,  -- Nom de la situaci de la despesa o cap per a totes
    i_descripcio   IN  VARCHAR2,  -- Descripci de la despesa o cap per a totes
    i_justificacio IN  VARCHAR2,  -- Descripci de la despesa o cap per a totes
    o_rsp         OUT  VARCHAR2   -- Resultat del procediment o cap per a totes
---------------------------------------------------------------------------------------------------
*/

dce.con.despeses_membres('','','','','','','','','','','','',rsp);
dce.con.despeses_membres('01/10/2013','',150,'','morera','','','','transferncia','pendent','','',rsp);


END;
/
---------------------------------------------------------------------------------------------------