---------------------------------------------------------------------------------------------------
-- UOC - ETIG - TFC Bases de dades relacionals	2013-2014 1r semestre
---------------------------------------------------------------------------------------------------
-- Base de Dades d'un Sistema Centralitzat de Control de Despesa Pblica dels Parlaments Europeus
---------------------------------------------------------------------------------------------------
-- Arxiu : 15_Con_vMembres          -- Autor    : Santi Alcayde Pagan   -- Aula: 1
-- Data  : 11/11/2013               -- Consultor: Manel Rella Ruiz      
---------------------------------------------------------------------------------------------------
-- Funci: Execuci de la consulta de membres de cambres parlamentries, on pot fer-se una cerca 
-- per paraula en els noms, per ex. on a cambra aparegui la paraula "catalunya" en alguna posici.
-- Executa el procediment MEMBRES del package CON
-- El resultat de l'exeuci es guarda en la taula d'auditoria LOG_PROCEDIMENT
---------------------------------------------------------------------------------------------------

SET SERVEROUTPUT ON;

DECLARE
    rsp VARCHAR2(256); -- Resultat de l'execuci del procediment
BEGIN
/*-------------------------------------------------------------------------------------------------
Parmetres a passar al procediment:
    i_cognoms IN  VARCHAR2,  -- Cognoms del membre de la cambra o cap per a tots
    i_nom     IN  VARCHAR2,  -- Nom del membre de la cambra o cap per a tots
    i_cambra  IN  VARCHAR2,  -- Nom de la cambra parlamentria o cap per a totes
    i_partit  IN  VARCHAR2,  -- Nom del partit poltic o cap per a tots
    i_baixa   IN  CHAR,      -- Indicador de situaci de baixa 'S' o 'N'o cap per a totes
    o_rsp    OUT  VARCHAR2   -- Resultat del procediment
);
---------------------------------------------------------------------------------------------------
*/
dce.con.membres('','','','','',rsp);
dce.con.membres('herrera','','','','',rsp);
dce.con.membres('','al','','','',rsp);
dce.con.membres('','','catalunya','','',rsp);
dce.con.membres('','','','popular','',rsp);
dce.con.membres('','','','','s',rsp);
dce.con.membres('','','','','n',rsp);
dce.con.membres('herr','j','cat','ver','s',rsp);
dce.con.membres('sds','','','','',rsp);

END;
/
---------------------------------------------------------------------------------------------------