set echo off;
set verify off;
---------------------------------------------------------------------------------------------------
-- UOC - ETIG - TFC Bases de dades relacionals	2013-2014 1r semestre
---------------------------------------------------------------------------------------------------
-- Base de Dades d'un Sistema Centralitzat de Control de Despesa Pblica dels Parlaments Europeus
---------------------------------------------------------------------------------------------------
-- Arxiu : 16_Executa_Consulta.sql  -- Autor    : Santi Alcayde Pagan   -- Aula: 1
-- Data  : 11/12/2013               -- Consultor: Manel Rella Ruiz      
---------------------------------------------------------------------------------------------------
/* Funci: Executa una consulta i la guarda en un arxiu.
---------------------------------------------------------------------------------------------------
Parmetres a passar al procediment: (sn demanats en pantalla)
    i_consulta  VARCHAR2    -- Nom de la consulta i els seus parmetres
    i_arxiu     VARTCHAR2   -- Ruta i nom del arxiu on guardar-la
-------------------------------------------------------------------------------------------------*/
set feedback off; 
set pagesize 0; 
set linesize 300; 
set serveroutput on; 
var i_consulta varchar2;
var i_arxiu    varchar2;
accept i_consulta prompt 'Indica la consulta a fer. Exemple: DCE.CON.DESPESES_02(10,2013,RSP) : ';
accept i_arxiu prompt 'Indica on guardar-la. Exemple: D:\Despeses_02.txt : ';
spool &i_arxiu;
declare 
  rsp     varchar2(256); 
  v_arxiu varchar2(80) := '&i_arxiu';
begin
  &i_consulta;
  dbms_output.put_line(rsp);
  dbms_output.put_line('CONSULTA GUARDADA A ' || v_arxiu);
end;
/
spool off; 
set feedback on;
set verify on;